# Ogre::Win32ConfigDialog Class Reference

A Windows 95/98/NT platform version of the default engine configuration dialog. More...

`#include <OgreWin32ConfigDialog.h>`

Inheritance diagram for Ogre::Win32ConfigDialog:

List of all members.

## Public Member Functions

| Win32ConfigDialog (HINSTANCE hInst)
bool | display (void)
| Overridden: see CConfigDialog.

## Static Protected Member Functions

BOOL CALLBACK | DlgProc (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)
| Callback to process window events.

## Protected Attributes

HINSTANCE | mHInstance
RenderSystem * | mSelectedRenderSystem

## Detailed Description

A Windows 95/98/NT platform version of the default engine configuration dialog.

Definition at line 36 of file OgreWin32ConfigDialog.h.

## Constructor & Destructor Documentation

Ogre::Win32ConfigDialog::Win32ConfigDialog | ( | HINSTANCE | hInst | ) |

## Member Function Documentation

bool Ogre::Win32ConfigDialog::display | ( | void |  | ) | `[virtual]`

| Overridden: see CConfigDialog. Implements Ogre::ConfigDialog.

BOOL CALLBACK Ogre::Win32ConfigDialog::DlgProc | ( | HWND | hDlg,
|  | UINT | iMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[static, protected]`

| Callback to process window events.

## Member Data Documentation

HINSTANCE Ogre::Win32ConfigDialog::mHInstance `[protected]`

| Definition at line 49 of file OgreWin32ConfigDialog.h.

RenderSystem* Ogre::ConfigDialog::mSelectedRenderSystem `[protected, inherited]`

| Definition at line 65 of file OgreConfigDialog.h.

The documentation for this class was generated from the following file:

- OgreWin32ConfigDialog.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:05:13 2006